<template>
	<div class="flex h-screen bg-gray-200">
		<lay-nav :menu="menu" />
		<div class="flex-1 flex flex-col overflow-hidden">
			<main class="flex-1 overflow-x-hidden overlow-y-auto bg-gray-200">
				<Nuxt />
			</main>
		<lay-footer />
		</div>
		<icon-registry />
	</div>
</template>

<script>
//default.vue - шаблон для всех страниц

//Массив объектов с данными для ссылок
import menu from './setup'

export default {
	name: 'DefaultLayout',
	data: () => ({
		menu,
	}),
	components: {
		//Компонент с меню
		LayNav: () => import('@/components/layouts/Nav'),
		//Компонент с футером
		LayFooter: () => import('@/components/layouts/Footer'),
		//Компонент хранит пути к иконкам(для придания "стиля" приложению)
		IconRegistry: () => import('@/components/icon/Icon-registry')
	},
}
</script>

